%% Read all folders under this folder
close all;clear all;clc;  
addpath(genpath(pwd));
PathRoot='\\DS1821\data\aSunyan\AI4arctic\rawSafe'; %the folder for SAR images.
list=dir(fullfile(PathRoot));
dirnum=0;
Sentinel_1_Name={};
fileNum=size(list,1);
for k=1:fileNum  %get the name of Sentinel-1 safe files
    if ~isempty(strfind(list(k).name, '.SAFE'))
        dirnum=dirnum+1;
        Sentinel_1_Name{dirnum}=list(k).name;
    end
end


%% set the export folder.
export_folder = '\\DS1821\data\denoised_SARdata';
mkdir(export_folder);


%% processing for every image.
for i11 = 1 : dirnum  
    Filename = Sentinel_1_Name{i11};
    Sentinel_path=[PathRoot,'/', Filename(1:67),'.SAFE/measurement'];
    sublist=dir(Sentinel_path);
    for ii = 1 : size(sublist,1)
        if ~isempty(strfind(sublist(ii).name, '.tiff')) && ...
            ( ~isempty(strfind(sublist(ii).name, 'hh')) || ~isempty(strfind(sublist(ii).name, 'vv'))  )
                HH_name=sublist(ii).name;
        end
        if ~isempty(strfind(sublist(ii).name, '.tiff')) && ...
            ( ~isempty(strfind(sublist(ii).name, 'hv')) || ~isempty(strfind(sublist(ii).name, 'vh'))  )
                HV_name=sublist(ii).name;
        end
    end
    
    Judge_IPFbanben(export_folder, Sentinel_path, HV_name, HH_name );

end


