function [ sigmaDeno2, sigmaDeno1AVER ] = Parkmethod02(Sigma_SN, Sigma0NPark1, sigmaDeno1, s1A_B, ...
    firstRangeSample, lastRangeSample, firstAzimuthLine, lastAzimuthLine )

%snnr=(sigmaDeno1+Sigma0NPark1)./Sigma0NPark1;
snnr=Sigma_SN./Sigma0NPark1;

A=fspecial('average',[15,15]);
snnrAVER=imfilter(snnr,A);


% Sigma0NPark1AVER= colfilt(Sigma0NPark1, [15,15], 'sliding', @mean);
Sigma0NPark1AVER=imfilter(Sigma0NPark1,A);


if strcmp(s1A_B, 'S1A')
    y0=[0.249 0.298 0.299 0.300 0.301];
elseif strcmp(s1A_B, 'S1B')
    y0=[0.249 0.301 0.302 0.304 0.303];
end

tt=Sigma0NPark1AVER./snnrAVER;
tt2 = prctile(tt(:, 1 : round(nanmean(firstRangeSample(2,:)))), 99.5,'all');
tt(tt>= tt2)=tt2;
% sm=Sigma0NPark1AVER./snnrAVER.*y0;
sm=zeros(size(Sigma_SN));
numEW=length(firstAzimuthLine(:,1)); %EW5IW3߿ͨ
for count=1: numEW
    firstAzimuthLineEW=firstAzimuthLine(count,:);
    firstAzimuthLineEW(find(isnan(firstAzimuthLineEW)))=[];
    for ii=1:length(firstAzimuthLineEW)
        nyy=firstRangeSample(count,ii):lastRangeSample(count,ii);%subswathľ±
        nxx=firstAzimuthLine(count,ii):lastAzimuthLine(count,ii);
        sm(nxx,nyy)=tt(nxx,nyy).*y0(count); %źsigma0,ͬ⣬Ϊ,ʷŴ 
     end  
end
% running time: stdfilt >> blockproc > colfilt > nlfilter 

A = fspecial('average',[15,15]);
sigmaDeno1AVER = imfilter(sigmaDeno1, A);
% figure;imshow(sigmaDeno1AVER,[0  0.0065]);%impixelinfo;
% colorbar('fontsize',22);


s = stdfilt(sigmaDeno1,ones(15));
sigmaDeno2=(sigmaDeno1-sigmaDeno1AVER).*(1-sm./s)+sigmaDeno1AVER;

% figure;imshow((1-sm./s),[0 0.002]);%impixelinfo;
% colorbar('fontsize',22);



